/**
 * $Header: /usr/home/ncvs/qmail-auditor/src/audit.c,v 1.4 2003/10/12 13:18:22 nssantos Exp $
 *
 * Qmail Auditor
 * 
 * Arquivo principal, resposavel por chamar os blocos
 * do programa para executarem suas operacoes.
 *
 * O Programa foi divido em blocos logicos que correspondem :
 *	-> Entrada de dados
 *	-> Auditoria do E-mail
 *	-> Reenvio do e-mail com os Headers modificados (se necessario)
 *	-> Limpa todos os buffers da entrada
 *
 */

#include <stdio.h>
#include "audit.h"
#include "envelop.h"
#include "audit_controls.h"
#include "forward.h"
#include "errors.h"

// flag to active debug
int flg_debug = 0;

int main(int argc, char **argv) {
	int retorno = 0;
	if ((retorno = read_envelop()) == QQ_OK) {
		check_audit();
		forward_email(NULL);
	}
	remove_envelop();
	return retorno;
}
