/*
 * $Header: /usr/home/ncvs/qmail-auditor/src/fromto.h,v 1.2 2003/10/11 14:05:10 nssantos Exp $
 *
 * $Log: fromto.h,v $
 * Revision 1.2  2003/10/11 14:05:10  nssantos
 * Alteracao para particionar em varios e-mails qdo o numero de TOs for muito grande
 *
 * Revision 1.1.1.1  2003/10/01 19:00:32  nssantos
 *
 * Versao inicial do codigo do qmail-auditor dentro do meu CVS pessoal
 *
 *
 * Revision 1.4  2003/03/31 22:03:30  nssantos
 * Alteracoes em curso para resolver problema de from+to > 1024
 *
 * Revision 1.3  2003/02/27 01:41:41  nssantos
 * Adicionada opcoes para niveis de log, indo de 0 a 2
 *
 * Revision 1.2  2003/02/27 00:50:40  nssantos
 * Alteracoes para adicionar suporte ao syslogd
 *
 *
*/

#ifndef __FROMTO_H_
#define __FROMTO_H_

#define MAX_TOS		50	// Numero maximo de TOs em um e-mail


//#define DEBUG_TEST
#ifdef DEBUG_TEST
  #define CONTROL_CHAR '|'
#else
  #define CONTROL_CHAR 0
#endif

extern char *ENV_FROM;
extern char **ENV_TO;
extern short int ENV_TO_NUM;


int fromto_analisa(char *tmpbuff);
int copyfromto(char *tmpbuff, char type, char *email, int init);
char *to_recreate_comma();
char *fromto_recreate(int *numbytes, int toinit);
unsigned int fromto_chuncksize(unsigned int chunkfrom, unsigned int chunckto, int toinit);

#endif

